
Name:		kepas
Summary:	KDE Easy Publish and Share
Group: 		Networking/Other
Version: 	0.9.3
Release: 	%mkrel 4
Source0: 	http://kent.dl.sourceforge.net/sourceforge/kepas/%name-%version.tar.bz2
Patch0:		kepas-0.9.3-qt3support-link.patch
License: 	GPLv2+
Url: 		http://www.kde-apps.org/content/show.php?content=73968
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	kdelibs4-devel

%description 
Kepas is a zeroconf KDE4 filetransfer tool. 
It discovers your local LAN for buddies (KDNSSD) and lets you transfer
files or klipper entries from a trayicon or via drag 'n drop with the
kepas plasmoid.

Current features: 

* Run Kepas as Plasmoid or Trayicon
* Zeroconf buddy discovery in your LAN (KDNSSD) 
* Filetransfer between buddies (kepas or giver)
* Filetransfer to kopete ICQ contacts 
* Filetransfer to kopete Jabber contacts
* Transfer of klipper entries 
* Activate received klipper entries 
* Drag 'n Drop Files on the kepas Plasmoid 
* Configure the destination folder and nickname
* Start a Public Folder (KPF)
* Monitor your Public Folders
* available Public Folders are shown on Buddy discovery

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/%{name}*
%{_kde_applicationsdir}
%{_kde_appsdir}/%name
%{_kde_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde_libdir}/*.so
# plasma files if i decide to create a separate package for plasma-applet
%{_kde_appsdir}/plasma/plasma.notifyrc
%{_kde_services}/plasma-applet-kepas.desktop
%{_kde_libdir}/kde4/plasma_applet_kepas.so

#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang %name --with-html

%clean
rm -rf %{buildroot}





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 356123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 colin <colin> 0.9.3-3.mga3
+ Revision: 269446
- Do not own /usr/share/icons
- Fix build (missing qt3support link)
- Do not own /usr/bin directory.

* Thu Jun 09 2011 ze <ze> 0.9.3-2.mga2
+ Revision: 102251
- imported package kepas

